curl -X GET \
/catalogue/measurements \
--header "Authorization: Bearer <token>"{
"data": [
{
"unit": {
"id": {},
"name": "Stück"
},
"code": "users",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"description": "The number of users.",
"aggregationType": "sum",
"fairBilling": true,
"type": "recurring"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Get all measurements.
Required permissions:measurement:readcurl -X GET \
/catalogue/measurements \
--header "Authorization: Bearer <token>"{
"data": [
{
"unit": {
"id": {},
"name": "Stück"
},
"code": "users",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"description": "The number of users.",
"aggregationType": "sum",
"fairBilling": true,
"type": "recurring"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Value for the Authorization header parameter.
The collection page number
The number of items per page
0 <= x <= 100Measurement collection
Show child attributes
A unique code which can be used to identify the measurement.
1 - 255"users"
A unique identifier for the measurement.
"ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
A description of the measurement, which is shown in the summary of the usage data in the invoice.
255"The number of users."
The aggregation type of the measurement. Describes how the quantity is calculated. This cannot be changed after creation, otherwise it would change the whole calculation for existing subscriptions.
Possible values:
count: The number of sent measurements in the billing interval. Metered usage, which resets to 0 after each billing interval.count_unique: The number of unique sent measurements in the billing interval, identified by the id given on event creation.max: The maximum value of all sent measurements in the billing interval. Metered usage, which resets to 0 after each billing interval.sum: The sum of all sent measurements in the billing interval.last_value: The last sent measurement.average: The average of all sent measurements in the billing interval."sum"
If set to false, the measurement will be billed for the whole billing interval, even if the quantity changes, or the item is cancelled / terminated during the billing interval.
true
The type of the measurement. This cannot be changed after creation, otherwise it would change the whole calculation for existing subscriptions.
Possible values:
instant_metered: The measurement value is reset to 0 after each push. The measurement gets billed immediately and an invoice is created. The aggregation type must be "last_value".metered: The measurement value is reset to 0 after each billing interval.recurring: The measurement value is not reset to 0 after each billing interval and the last value is used for all following billing intervals. The aggregation type must be "last_value"."recurring"
Was this page helpful?